Hermos API

List Affiliate Programs

Affiliate programs of the selected company and mode, newest first.

GET/affiliate_programs

Affiliate programs of the selected company and mode, newest first.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
status?string

Value in

  • "active"
  • "archived"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/affiliate_programs"
{  "data": [    {      "id": "string",      "livemode": true,      "reference": "string",      "name": "string",      "status": "active",      "is_default": true,      "attribution_rule": "locked_at_signup",      "click_window_days": 1,      "hold_days": 0,      "join_policy": "auto",      "self_referral_policy": "block",      "show_referrer_at_checkout": true,      "max_bindings_per_click": 1,      "tier_drops_within_month": true,      "allowed_hosts": [        "string"      ],      "archived_at": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}